
module mt4gen2
using StaticArrays
using MeshCore: Locations, nvertices, coordinates, nshapes, skeleton, boundedby, manifdim, transpose
using MeshPorter: vtkwrite
using MeshMaker: T4block
using Test
function test()
    n = 3
    @time connectivity = T4block(1.0, 2.0, 3.0, n*7, n*9, n*13, :a)
    @show (nshapes(connectivity.right), nshapes(connectivity.left))
    @time tconnectivity = transpose(connectivity)
    @time skel2 = skeleton(connectivity)
    @show (nshapes(skel2.right), nshapes(skel2.left))
    skel1 = skeleton(skel2)
    @time bb2 = boundedby(connectivity, skel2)
    @time bb1 = boundedby(skel2, skel1)
    # vtkwrite("mt4gen2", connectivity)
    true
end
end
using .mt4gen2
mt4gen2.test()
